
CoCoALib - Bug #74

printing polynomials

22 Dec 2011 19:36 - Anna Maria Bigatti

Status: New Start date: 22 Dec 2011

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Various Estimated time: 5.00 hours

Target version: CoCoALib-1.0 Spent time: 0.00 hour

Description

/**/ K ::= QQ[a,b];   R := NewFractionField(K);   Use R[x];

/**/ x^2 - (1/(a))*x + 1;

prints as

x^2 +(-1/a)*x +1

Does this look bad?  Some considerations:

The original rule for writing polynomials was:

"when the coefficient ring is not ZZ or QQ the coefficients are all printed within brackets", e.g.

(1)*x^2 +(-1/a)*x +(1)

Then I had to agree that so many "(1)*" and "(-1)*" looked quite heavy and I modified it:

"when coefficients-fractions are not in QQ they are printed within brackets", e.g.

a*x^2 +(-2/a)*x -3/5

I'm undecided whether "x^2 -(1/a)*x +1" is really better than "x^2 +(-1/a)*x +1" (especially considering how tedious it is to describe

and implement this case...)

Any opinion?  Examples to be considered?

Related issues:

Related to CoCoALib - Feature #222: Printing polynomials - spaces between terms In Progress 08 Aug 2012

Related to CoCoALib - Feature #1117: Better printing of negative coeffs In Progress 07 Nov 2017

Related to CoCoALib - Design #1156: Printing for RingElem New 12 Feb 2018

History

#1 - 01 Apr 2014 17:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#2 - 04 Apr 2014 17:22 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#3 - 14 Jul 2014 11:07 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0
#4 - 07 Nov 2017 12:34 - John Abbott

- Related to Feature #1117: Better printing of negative coeffs added

#5 - 12 Feb 2018 12:33 - John Abbott

- Related to Design #1156: Printing for RingElem added
